-- MySQL commands for database install
-- run command 
-- mysql -u <username> -p<password> <database_name> < gravity_install.sql
--
-- Table structure for table `actions`
--

CREATE TABLE gravity_actions (
  gravity_actionsid int(11) NOT NULL auto_increment,
  name varchar(255) default NULL,
  user_id int(11) default NULL,
  parent_id int(11) default NULL,
  list_order int(11) default NULL,
  status varchar(255) default NULL,
  created_date int(11) default NULL,
  updated_date int(11) default NULL,
  recur_date int(11) default NULL,
  recur_type varchar(255) default NULL,
  context int(11) default NULL,
  day_of_week varchar(255) default NULL,
  num_day_of_week varchar(255) default NULL,
  day_of_month varchar(255) default NULL,
  which_weekday varchar(255) default NULL,
  n_week varchar(255) default NULL,
  PRIMARY KEY  (gravity_actionsid)
) TYPE=MyISAM;


--
-- Table structure for table `contexts`
--

CREATE TABLE gravity_contexts (
  gravity_contextsid int(11) NOT NULL auto_increment,
  name varchar(255) default NULL,
  user_id int(11) default NULL,
  created_date int(11) default NULL,
  updated_date int(11) default NULL,
  PRIMARY KEY  (gravity_contextsid)
) TYPE=MyISAM;


--
-- Table structure for table `files`
--

CREATE TABLE gravity_files (
  gravity_filesid int(11) NOT NULL auto_increment,
  name varchar(255) default NULL,
  user_id int(11) default NULL,
  project_id int(11) default NULL,
  item_id int(11) default NULL,
  url varchar(255) default NULL,
  created_date int(11) default NULL,
  updated_date int(11) default NULL,
  format varchar(255) default NULL,
  PRIMARY KEY  (gravity_filesid)
) TYPE=MyISAM;

--
-- Table structure for table `formats`
--

CREATE TABLE gravity_formats (
  gravity_formatsid int(11) NOT NULL auto_increment,
  name varchar(255) default NULL,
  icon_url varchar(255) default NULL,
  PRIMARY KEY  (gravity_formatsid)
) TYPE=MyISAM;

--
-- Dumping data for table `gravity_formats`
--

INSERT INTO `gravity_formats` VALUES (6,'TWljcm9zb2Z0IFBvd2VyUG9pbnQ=','aW1hZ2VzL2ZpbGV0eXBlcy9pY29uX3BwdC5qcGc='),(3,'QWRvYmUgUERG','aW1hZ2VzL2ZpbGV0eXBlcy9pY29uX3BkZi5qcGc='),(4,'TWljcm9zb2Z0IFdvcmQ=','aW1hZ2VzL2ZpbGV0eXBlcy9pY29uX3dvcmQuanBn'),(5,'TWljcm9zb2Z0IEV4Y2Vs','aW1hZ2VzL2ZpbGV0eXBlcy9pY29uX2V4Y2VsLmpwZw==');


--
-- Table structure for table `images`
--

CREATE TABLE gravity_images (
  gravity_imagesid int(11) NOT NULL auto_increment,
  name varchar(255) default NULL,
  user_id int(11) default NULL,
  project_id int(11) default NULL,
  item_id int(11) default NULL,
  url varchar(255) default NULL,
  created_date int(11) default NULL,
  updated_date int(11) default NULL,
  thumb_url varchar(255) default NULL,
  PRIMARY KEY  (gravity_imagesid)
) TYPE=MyISAM;


--
-- Table structure for table `notes`
--

CREATE TABLE gravity_notes (
  gravity_notesid int(11) NOT NULL auto_increment,
  name varchar(255) default NULL,
  user_id int(11) default NULL,
  project_id int(11) default NULL,
  item_id int(11) default NULL,
  list_order int(11) default NULL,
  content blob,
  created_date int(11) default NULL,
  updated_date int(11) default NULL,
  PRIMARY KEY  (gravity_notesid)
) TYPE=MyISAM;

--
-- Table structure for table `projects`
--

CREATE TABLE gravity_projects (
  gravity_projectsid int(11) NOT NULL auto_increment,
  name varchar(255) default NULL,
  user_id int(11) default NULL,
  list_order int(11) default NULL,
  created_date int(11) default NULL,
  updated_date int(11) default NULL,
  PRIMARY KEY  (gravity_projectsid)
) TYPE=MyISAM;

--
-- Table structure for table `urls`
--

CREATE TABLE gravity_urls (
  gravity_urlsid int(11) NOT NULL auto_increment,
  name varchar(255) default NULL,
  url varchar(255) default NULL,
  created_date int(11) default NULL,
  updated_date int(11) default NULL,
  user_id int(11) default NULL,
  project_id int(11) default NULL,
  item_id int(11) default NULL,
  PRIMARY KEY  (gravity_urlsid)
) TYPE=MyISAM;


--
-- Table structure for table `users`
--

CREATE TABLE gravity_users (
  gravity_usersid int(11) NOT NULL auto_increment,
  firstname varchar(255) default NULL,
  lastname varchar(255) default NULL,
  email varchar(255) default NULL,
  photo varchar(255) default NULL,
  created_date int(11) default NULL,
  updated_date int(11) default NULL,
  password varchar(255) default NULL,
  PRIMARY KEY  (gravity_usersid)
) TYPE=MyISAM;

