-- MySQL Commands for Gravity db upgrade
-- Move users from 0.2 to 0.3 beta

-- run command 
-- mysql -u <username> -p<password> <database_name> < gravity_upgrade.sql

-- Change Summary
-- update all table names to add gravity_ prefix
-- add new field to gravity_actions

-- rename actions and set the correct id
alter table actions rename gravity_actions;
alter table gravity_actions change actionsid gravity_actionsid int auto_increment;
alter table gravity_actions add n_week int;

-- rename contexts and set the correct id
alter table contexts rename gravity_contexts;
alter table gravity_contexts change contextsid gravity_contextsid int auto_increment;

-- rename files and set the correct id
alter table files rename gravity_files;
alter table gravity_files change filesid gravity_filesid int auto_increment;

-- rename formats and set the correct id
alter table formats rename gravity_formats;
alter table gravity_formats change formatsid gravity_formatsid int auto_increment;

-- rename images and set the correct id
alter table images rename gravity_images;
alter table gravity_images change imagesid gravity_imagesid int auto_increment;

-- rename notes and set the correct id
alter table notes rename gravity_notes;
alter table gravity_notes change notesid gravity_notesid int auto_increment;

-- rename projects and set the correct id
alter table projects rename gravity_projects;
alter table gravity_projects change projectsid gravity_projectsid int auto_increment;

-- rename urls and set the correct id
alter table urls rename gravity_urls;
alter table gravity_urls change urlsid gravity_urlsid int auto_increment;

-- rename users and set the correct id
alter table users rename gravity_users;
alter table gravity_users change usersid gravity_usersid int auto_increment;

