<?php
// item_manager.php
// functions that are used in managing todo items

function Return_Projects() {
	// Returns an array of the user's projects
	// Gets the user id from the cookie
	$userid = gimme_user_id();
	$projects = new gravity_projects();
	$projects = $projects -> GetList(array(array("user_id", "=", $userid)), "list_order", true);
	
	if(!empty($projects)) {
		return $projects;
	}
	else {
		return false;
	}
}

function Return_Contexts() {
	// Returns an array of the user's contexts
	// Gets the user id from the cookie
	$userid = gimme_user_id();
	$contexts = new gravity_contexts();
	$contexts = $contexts -> GetList(array(array("user_id", "=", $userid)));
	if(!empty($contexts)) {
		return $contexts;
	}
	else {
		return false;
	}
}

function Return_Items($project) {
	// Returns an array of action items
	// Takes the project id as the argument
	$userid = gimme_user_id();
	$items = new gravity_actions();
	$items = $items -> GetList(array(array("user_id", "=", $userid),
									array("parent_id", "=", $project),
									array("status", "=", "Incomplete")),
									"list_order", true);
	if(!empty($items)) {
		return $items;
	}
	else {
		return false;
	}
}

function Return_Project_Notes($projectid) {
	// Returns an array of notes for this user and project
	$note = new gravity_notes();
	$note = $note -> GetList(array(array("project_id", "=", $projectid)), "list_order");
	if(!empty($note)) {
		return $note;
	}
}

function Return_Action_Notes($actionid) {
	// Returns an array of notes for this user and project
	$note = new gravity_notes();
	$note = $note -> GetList(array(array("item_id", "=", $actionid)), "list_order");
	if(!empty($note)) {
		return $note;
	}
}

function Return_Project_Files($projectid) {
	// Returns an array of files for this user and project
	$file = new gravity_files();
	$file = $file -> GetList(array(array("project_id" ,"=", $projectid)), "list_order");
	if(!empty($file)) {
		return $file;
	}
}

function Return_Action_Files($actionid) {
	// Returns an array of files for this user and project
	$file = new gravity_files();
	$file = $file -> GetList(array(array("item_id" ,"=", $actionid)), "list_order");
	if(!empty($file)) {
		return $file;
	}
}

function Return_Project_Images($projectid) {
	// Returns an array of images for this user and project
	$image = new gravity_images();
	$image = $image -> GetList(array(array("project_id" ,"=", $projectid)), "list_order");
	if(!empty($image)) {
		return $image;
	}
}

function Return_Action_Images($actionid) {
	// Returns an array of images for this user and project
	$image = new gravity_images();
	$image = $image -> GetList(array(array("item_id" ,"=", $actionid)), "list_order");
	if(!empty($image)) {
		return $image;
	}
}

function Return_Project_Urls($projectid) {
	// Returns an array of urls for this user and project
	$url = new gravity_urls();
	$url = $url -> GetList(array(array("project_id" ,"=", $projectid)), "list_order");
	if(!empty($url)) {
		return $url;
	}
}

function Return_Action_Urls($actionid) {
	// Returns an array of urls for this user and project
	$url = new gravity_urls();
	$url = $url -> GetList(array(array("item_id" ,"=", $actionid)), "list_order");
	if(!empty($url)) {
		return $url;
	}
}
?>