<?php
/*
	This SQL query will create the table to store your object.

	CREATE TABLE `gravity_contexts` (
	`gravity_contextsid` int(11) auto_increment,
	`name` VARCHAR(255),
	`user_id` INT,
	`created_date` INT,
	`updated_date` INT, PRIMARY KEY  (`gravity_contextsid`));
*/

/**
* <b>Gravity_contexts</b> class with integrated CRUD methods.
* @author Php Object Generator
* @version 1.6 rc2
* @copyright Free for personal & commercial use. (Offered under the BSD license)
* @link http://www.phpobjectgenerator.com/?language=php4&wrapper=pog&objectName=gravity_contexts&attributeList=array+%28%0A++0+%3D%3E+%27name%27%2C%0A++1+%3D%3E+%27user_id%27%2C%0A++2+%3D%3E+%27created_date%27%2C%0A++3+%3D%3E+%27updated_date%27%2C%0A%29&typeList=array+%28%0A++0+%3D%3E+%27VARCHAR%28255%29%27%2C%0A++1+%3D%3E+%27INT%27%2C%0A++2+%3D%3E+%27INT%27%2C%0A++3+%3D%3E+%27INT%27%2C%0A%29
*/
class gravity_contexts
{
	var $gravity_contextsId;

	/**
	 * @var VARCHAR(255)
	 */
	var $name;
	
	/**
	 * @var INT
	 */
	var $user_id;
	
	/**
	 * @var INT
	 */
	var $created_date;
	
	/**
	 * @var INT
	 */
	var $updated_date;
	
	var $pog_attribute_type = array(
		"gravity_contextsid" => array("NUMERIC", "INT"),
		"name" => array("TEXT", "VARCHAR", "255"),
		"user_id" => array("NUMERIC", "INT"),
		"created_date" => array("NUMERIC", "INT"),
		"updated_date" => array("NUMERIC", "INT"),
		);
	var $pog_query;
	
	function gravity_contexts($name='', $user_id='', $created_date='', $updated_date='')
	{
		$this->name = $name;
		$this->user_id = $user_id;
		$this->created_date = $created_date;
		$this->updated_date = $updated_date;
	}
	
	
	/**
	* Gets object from database
	* @param integer $gravity_contextsId 
	* @return object $gravity_contexts
	*/
	function Get($gravity_contextsId)
	{
		$Database = new DatabaseConnection();
		$this->pog_query = "select * from `gravity_contexts` where `gravity_contextsid`='".intval($gravity_contextsId)."' LIMIT 1";
		$Database->Query($this->pog_query);
		$this->gravity_contextsId = $Database->Result(0, "gravity_contextsid");
		$this->name = $Database->Unescape($Database->Result(0, "name"));
		$this->user_id = $Database->Unescape($Database->Result(0, "user_id"));
		$this->created_date = $Database->Unescape($Database->Result(0, "created_date"));
		$this->updated_date = $Database->Unescape($Database->Result(0, "updated_date"));
		return $this;
	}
	
	
	/**
	* Returns a sorted array of objects that match given conditions
	* @param multidimensional array {("field", "comparator", "value"), ("field", "comparator", "value"), ...} 
	* @param string $sortBy 
	* @param boolean $ascending 
	* @param int limit 
	* @return array $gravity_contextsList
	*/
	function GetList($fcv_array, $sortBy='', $ascending=true, $limit='')
	{
		$sqlLimit = ($limit != '' && $sortBy == ''?"LIMIT $limit":'');
		if (sizeof($fcv_array) > 0)
		{
			$gravity_contextsList = Array();
			$Database = new DatabaseConnection();
			$this->pog_query = "select gravity_contextsid from `gravity_contexts` where ";
			for ($i=0, $c=sizeof($fcv_array)-1; $i<$c; $i++)
			{
				$this->pog_query .= "`".strtolower($fcv_array[$i][0])."` ".$fcv_array[$i][1]." '".$Database->Escape($fcv_array[$i][2])."' AND";
			}
			$this->pog_query .= "`".strtolower($fcv_array[$i][0])."` ".$fcv_array[$i][1]." '".$Database->Escape($fcv_array[$i][2])."' order by gravity_contextsid asc $sqlLimit";
			$Database->Query($this->pog_query);
			for ($i=0; $i < $Database->Rows(); $i++)
			{
				$gravity_contexts = new gravity_contexts();
				$gravity_contexts->Get($Database->Result($i, "gravity_contextsid"));
				$gravity_contextsList[] = $gravity_contexts;
			}
			if ($sortBy != '')
			{
				$f = '';
				$gravity_contexts = new gravity_contexts();
				if (isset($gravity_contexts->pog_attribute_type[strtolower($sortBy)]) && $gravity_contexts->pog_attribute_type[strtolower($sortBy)][0] == "NUMERIC")
				{
					$f = 'return $gravity_contexts1->'.$sortBy.' > $gravity_contexts2->'.$sortBy.';';
				}
				else if (isset($gravity_contexts->pog_attribute_type[strtolower($sortBy)]))
				{
					$f = 'return strcmp(strtolower($gravity_contexts1->'.$sortBy.'), strtolower($gravity_contexts2->'.$sortBy.'));';
				}
				usort($gravity_contextsList, create_function('$gravity_contexts1, $gravity_contexts2', $f));
				if (!$ascending)
				{
					$gravity_contextsList = array_reverse($gravity_contextsList);
				}
				if ($limit != '')
				{
					$limitParts = explode(',', $limit);
					if (sizeof($limitParts) > 1)
					{
						return array_slice($gravity_contextsList, $limitParts[0], $limitParts[1]);
					}
					else
					{
						return array_slice($gravity_contextsList, 0, $limit);
					}
				}
			}
			return $gravity_contextsList;
		}
		return null;
	}
	
	
	/**
	* Saves the object to the database
	* @return integer $gravity_contextsId
	*/
	function Save()
	{
		$Database = new DatabaseConnection();
		$this->pog_query = "select gravity_contextsid from `gravity_contexts` where `gravity_contextsid`='".$this->gravity_contextsId."' LIMIT 1";
		$Database->Query($this->pog_query);
		if ($Database->Rows() > 0)
		{
			$this->pog_query = "update `gravity_contexts` set 
			`name`='".$Database->Escape($this->name)."', 
			`user_id`='".$Database->Escape($this->user_id)."', 
			`created_date`='".$Database->Escape($this->created_date)."', 
			`updated_date`='".$Database->Escape($this->updated_date)."' where `gravity_contextsid`='".$this->gravity_contextsId."'";
		}
		else
		{
			$this->pog_query = "insert into `gravity_contexts` (`name`, `user_id`, `created_date`, `updated_date` ) values (
			'".$Database->Escape($this->name)."', 
			'".$Database->Escape($this->user_id)."', 
			'".$Database->Escape($this->created_date)."', 
			'".$Database->Escape($this->updated_date)."' )";
		}
		$Database->InsertOrUpdate($this->pog_query);
		if ($this->gravity_contextsId == "")
		{
			$this->gravity_contextsId = $Database->GetCurrentId();
		}
		return $this->gravity_contextsId;
	}
	
	
	/**
	* Clones the object and saves it to the database
	* @return integer $gravity_contextsId
	*/
	function SaveNew()
	{
		$this->gravity_contextsId = '';
		return $this->Save();
	}
	
	
	/**
	* Deletes the object from the database
	* @return boolean
	*/
	function Delete()
	{
		$Database = new DatabaseConnection();
		$this->pog_query = "delete from `gravity_contexts` where `gravity_contextsid`='".$this->gravity_contextsId."'";
		return $Database->Query($this->pog_query);
	}
}
?>