<?php
/*
	This SQL query will create the table to store your object.

	CREATE TABLE `gravity_formats` (
	`gravity_formatsid` int(11) auto_increment,
	`name` VARCHAR(255),
	`icon_url` VARCHAR(255), PRIMARY KEY  (`gravity_formatsid`));
*/

/**
* <b>Gravity_formats</b> class with integrated CRUD methods.
* @author Php Object Generator
* @version 1.6 rc2
* @copyright Free for personal & commercial use. (Offered under the BSD license)
* @link http://www.phpobjectgenerator.com/?language=php4&wrapper=pog&objectName=gravity_formats&attributeList=array+%28%0A++0+%3D%3E+%27name%27%2C%0A++1+%3D%3E+%27icon_url%27%2C%0A%29&typeList=array+%28%0A++0+%3D%3E+%27VARCHAR%28255%29%27%2C%0A++1+%3D%3E+%27VARCHAR%28255%29%27%2C%0A%29
*/
class gravity_formats
{
	var $gravity_formatsId;

	/**
	 * @var VARCHAR(255)
	 */
	var $name;
	
	/**
	 * @var VARCHAR(255)
	 */
	var $icon_url;
	
	var $pog_attribute_type = array(
		"gravity_formatsid" => array("NUMERIC", "INT"),
		"name" => array("TEXT", "VARCHAR", "255"),
		"icon_url" => array("TEXT", "VARCHAR", "255"),
		);
	var $pog_query;
	
	function gravity_formats($name='', $icon_url='')
	{
		$this->name = $name;
		$this->icon_url = $icon_url;
	}
	
	
	/**
	* Gets object from database
	* @param integer $gravity_formatsId 
	* @return object $gravity_formats
	*/
	function Get($gravity_formatsId)
	{
		$Database = new DatabaseConnection();
		$this->pog_query = "select * from `gravity_formats` where `gravity_formatsid`='".intval($gravity_formatsId)."' LIMIT 1";
		$Database->Query($this->pog_query);
		$this->gravity_formatsId = $Database->Result(0, "gravity_formatsid");
		$this->name = $Database->Unescape($Database->Result(0, "name"));
		$this->icon_url = $Database->Unescape($Database->Result(0, "icon_url"));
		return $this;
	}
	
	
	/**
	* Returns a sorted array of objects that match given conditions
	* @param multidimensional array {("field", "comparator", "value"), ("field", "comparator", "value"), ...} 
	* @param string $sortBy 
	* @param boolean $ascending 
	* @param int limit 
	* @return array $gravity_formatsList
	*/
	function GetList($fcv_array, $sortBy='', $ascending=true, $limit='')
	{
		$sqlLimit = ($limit != '' && $sortBy == ''?"LIMIT $limit":'');
		if (sizeof($fcv_array) > 0)
		{
			$gravity_formatsList = Array();
			$Database = new DatabaseConnection();
			$this->pog_query = "select gravity_formatsid from `gravity_formats` where ";
			for ($i=0, $c=sizeof($fcv_array)-1; $i<$c; $i++)
			{
				$this->pog_query .= "`".strtolower($fcv_array[$i][0])."` ".$fcv_array[$i][1]." '".$Database->Escape($fcv_array[$i][2])."' AND";
			}
			$this->pog_query .= "`".strtolower($fcv_array[$i][0])."` ".$fcv_array[$i][1]." '".$Database->Escape($fcv_array[$i][2])."' order by gravity_formatsid asc $sqlLimit";
			$Database->Query($this->pog_query);
			for ($i=0; $i < $Database->Rows(); $i++)
			{
				$gravity_formats = new gravity_formats();
				$gravity_formats->Get($Database->Result($i, "gravity_formatsid"));
				$gravity_formatsList[] = $gravity_formats;
			}
			if ($sortBy != '')
			{
				$f = '';
				$gravity_formats = new gravity_formats();
				if (isset($gravity_formats->pog_attribute_type[strtolower($sortBy)]) && $gravity_formats->pog_attribute_type[strtolower($sortBy)][0] == "NUMERIC")
				{
					$f = 'return $gravity_formats1->'.$sortBy.' > $gravity_formats2->'.$sortBy.';';
				}
				else if (isset($gravity_formats->pog_attribute_type[strtolower($sortBy)]))
				{
					$f = 'return strcmp(strtolower($gravity_formats1->'.$sortBy.'), strtolower($gravity_formats2->'.$sortBy.'));';
				}
				usort($gravity_formatsList, create_function('$gravity_formats1, $gravity_formats2', $f));
				if (!$ascending)
				{
					$gravity_formatsList = array_reverse($gravity_formatsList);
				}
				if ($limit != '')
				{
					$limitParts = explode(',', $limit);
					if (sizeof($limitParts) > 1)
					{
						return array_slice($gravity_formatsList, $limitParts[0], $limitParts[1]);
					}
					else
					{
						return array_slice($gravity_formatsList, 0, $limit);
					}
				}
			}
			return $gravity_formatsList;
		}
		return null;
	}
	
	
	/**
	* Saves the object to the database
	* @return integer $gravity_formatsId
	*/
	function Save()
	{
		$Database = new DatabaseConnection();
		$this->pog_query = "select gravity_formatsid from `gravity_formats` where `gravity_formatsid`='".$this->gravity_formatsId."' LIMIT 1";
		$Database->Query($this->pog_query);
		if ($Database->Rows() > 0)
		{
			$this->pog_query = "update `gravity_formats` set 
			`name`='".$Database->Escape($this->name)."', 
			`icon_url`='".$Database->Escape($this->icon_url)."' where `gravity_formatsid`='".$this->gravity_formatsId."'";
		}
		else
		{
			$this->pog_query = "insert into `gravity_formats` (`name`, `icon_url` ) values (
			'".$Database->Escape($this->name)."', 
			'".$Database->Escape($this->icon_url)."' )";
		}
		$Database->InsertOrUpdate($this->pog_query);
		if ($this->gravity_formatsId == "")
		{
			$this->gravity_formatsId = $Database->GetCurrentId();
		}
		return $this->gravity_formatsId;
	}
	
	
	/**
	* Clones the object and saves it to the database
	* @return integer $gravity_formatsId
	*/
	function SaveNew()
	{
		$this->gravity_formatsId = '';
		return $this->Save();
	}
	
	
	/**
	* Deletes the object from the database
	* @return boolean
	*/
	function Delete()
	{
		$Database = new DatabaseConnection();
		$this->pog_query = "delete from `gravity_formats` where `gravity_formatsid`='".$this->gravity_formatsId."'";
		return $Database->Query($this->pog_query);
	}
}
?>