<?php
/*
	This SQL query will create the table to store your object.

	CREATE TABLE `gravity_projects` (
	`gravity_projectsid` int(11) auto_increment,
	`name` VARCHAR(255),
	`user_id` INT,
	`list_order` INT,
	`created_date` INT,
	`updated_date` INT, PRIMARY KEY  (`gravity_projectsid`));
*/

/**
* <b>Gravity_projects</b> class with integrated CRUD methods.
* @author Php Object Generator
* @version 1.6 rc2
* @copyright Free for personal & commercial use. (Offered under the BSD license)
* @link http://www.phpobjectgenerator.com/?language=php4&wrapper=pog&objectName=gravity_projects&attributeList=array+%28%0A++0+%3D%3E+%27name%27%2C%0A++1+%3D%3E+%27user_id%27%2C%0A++2+%3D%3E+%27list_order%27%2C%0A++3+%3D%3E+%27created_date%27%2C%0A++4+%3D%3E+%27updated_date%27%2C%0A%29&typeList=array+%28%0A++0+%3D%3E+%27VARCHAR%28255%29%27%2C%0A++1+%3D%3E+%27INT%27%2C%0A++2+%3D%3E+%27INT%27%2C%0A++3+%3D%3E+%27INT%27%2C%0A++4+%3D%3E+%27INT%27%2C%0A%29
*/
class gravity_projects
{
	var $gravity_projectsId;

	/**
	 * @var VARCHAR(255)
	 */
	var $name;
	
	/**
	 * @var INT
	 */
	var $user_id;
	
	/**
	 * @var INT
	 */
	var $list_order;
	
	/**
	 * @var INT
	 */
	var $created_date;
	
	/**
	 * @var INT
	 */
	var $updated_date;
	
	var $pog_attribute_type = array(
		"gravity_projectsid" => array("NUMERIC", "INT"),
		"name" => array("TEXT", "VARCHAR", "255"),
		"user_id" => array("NUMERIC", "INT"),
		"list_order" => array("NUMERIC", "INT"),
		"created_date" => array("NUMERIC", "INT"),
		"updated_date" => array("NUMERIC", "INT"),
		);
	var $pog_query;
	
	function gravity_projects($name='', $user_id='', $list_order='', $created_date='', $updated_date='')
	{
		$this->name = $name;
		$this->user_id = $user_id;
		$this->list_order = $list_order;
		$this->created_date = $created_date;
		$this->updated_date = $updated_date;
	}
	
	
	/**
	* Gets object from database
	* @param integer $gravity_projectsId 
	* @return object $gravity_projects
	*/
	function Get($gravity_projectsId)
	{
		$Database = new DatabaseConnection();
		$this->pog_query = "select * from `gravity_projects` where `gravity_projectsid`='".intval($gravity_projectsId)."' LIMIT 1";
		$Database->Query($this->pog_query);
		$this->gravity_projectsId = $Database->Result(0, "gravity_projectsid");
		$this->name = $Database->Unescape($Database->Result(0, "name"));
		$this->user_id = $Database->Unescape($Database->Result(0, "user_id"));
		$this->list_order = $Database->Unescape($Database->Result(0, "list_order"));
		$this->created_date = $Database->Unescape($Database->Result(0, "created_date"));
		$this->updated_date = $Database->Unescape($Database->Result(0, "updated_date"));
		return $this;
	}
	
	
	/**
	* Returns a sorted array of objects that match given conditions
	* @param multidimensional array {("field", "comparator", "value"), ("field", "comparator", "value"), ...} 
	* @param string $sortBy 
	* @param boolean $ascending 
	* @param int limit 
	* @return array $gravity_projectsList
	*/
	function GetList($fcv_array, $sortBy='', $ascending=true, $limit='')
	{
		$sqlLimit = ($limit != '' && $sortBy == ''?"LIMIT $limit":'');
		if (sizeof($fcv_array) > 0)
		{
			$gravity_projectsList = Array();
			$Database = new DatabaseConnection();
			$this->pog_query = "select gravity_projectsid from `gravity_projects` where ";
			for ($i=0, $c=sizeof($fcv_array)-1; $i<$c; $i++)
			{
				$this->pog_query .= "`".strtolower($fcv_array[$i][0])."` ".$fcv_array[$i][1]." '".$Database->Escape($fcv_array[$i][2])."' AND";
			}
			$this->pog_query .= "`".strtolower($fcv_array[$i][0])."` ".$fcv_array[$i][1]." '".$Database->Escape($fcv_array[$i][2])."' order by gravity_projectsid asc $sqlLimit";
			$Database->Query($this->pog_query);
			for ($i=0; $i < $Database->Rows(); $i++)
			{
				$gravity_projects = new gravity_projects();
				$gravity_projects->Get($Database->Result($i, "gravity_projectsid"));
				$gravity_projectsList[] = $gravity_projects;
			}
			if ($sortBy != '')
			{
				$f = '';
				$gravity_projects = new gravity_projects();
				if (isset($gravity_projects->pog_attribute_type[strtolower($sortBy)]) && $gravity_projects->pog_attribute_type[strtolower($sortBy)][0] == "NUMERIC")
				{
					$f = 'return $gravity_projects1->'.$sortBy.' > $gravity_projects2->'.$sortBy.';';
				}
				else if (isset($gravity_projects->pog_attribute_type[strtolower($sortBy)]))
				{
					$f = 'return strcmp(strtolower($gravity_projects1->'.$sortBy.'), strtolower($gravity_projects2->'.$sortBy.'));';
				}
				usort($gravity_projectsList, create_function('$gravity_projects1, $gravity_projects2', $f));
				if (!$ascending)
				{
					$gravity_projectsList = array_reverse($gravity_projectsList);
				}
				if ($limit != '')
				{
					$limitParts = explode(',', $limit);
					if (sizeof($limitParts) > 1)
					{
						return array_slice($gravity_projectsList, $limitParts[0], $limitParts[1]);
					}
					else
					{
						return array_slice($gravity_projectsList, 0, $limit);
					}
				}
			}
			return $gravity_projectsList;
		}
		return null;
	}
	
	
	/**
	* Saves the object to the database
	* @return integer $gravity_projectsId
	*/
	function Save()
	{
		$Database = new DatabaseConnection();
		$this->pog_query = "select gravity_projectsid from `gravity_projects` where `gravity_projectsid`='".$this->gravity_projectsId."' LIMIT 1";
		$Database->Query($this->pog_query);
		if ($Database->Rows() > 0)
		{
			$this->pog_query = "update `gravity_projects` set 
			`name`='".$Database->Escape($this->name)."', 
			`user_id`='".$Database->Escape($this->user_id)."', 
			`list_order`='".$Database->Escape($this->list_order)."', 
			`created_date`='".$Database->Escape($this->created_date)."', 
			`updated_date`='".$Database->Escape($this->updated_date)."' where `gravity_projectsid`='".$this->gravity_projectsId."'";
		}
		else
		{
			$this->pog_query = "insert into `gravity_projects` (`name`, `user_id`, `list_order`, `created_date`, `updated_date` ) values (
			'".$Database->Escape($this->name)."', 
			'".$Database->Escape($this->user_id)."', 
			'".$Database->Escape($this->list_order)."', 
			'".$Database->Escape($this->created_date)."', 
			'".$Database->Escape($this->updated_date)."' )";
		}
		$Database->InsertOrUpdate($this->pog_query);
		if ($this->gravity_projectsId == "")
		{
			$this->gravity_projectsId = $Database->GetCurrentId();
		}
		return $this->gravity_projectsId;
	}
	
	
	/**
	* Clones the object and saves it to the database
	* @return integer $gravity_projectsId
	*/
	function SaveNew()
	{
		$this->gravity_projectsId = '';
		return $this->Save();
	}
	
	
	/**
	* Deletes the object from the database
	* @return boolean
	*/
	function Delete()
	{
		$Database = new DatabaseConnection();
		$this->pog_query = "delete from `gravity_projects` where `gravity_projectsid`='".$this->gravity_projectsId."'";
		return $Database->Query($this->pog_query);
	}
}
?>