<?php
// transformer.php
// Functions that fetch and convert values for use in other functions.


function gimme_user_id() {
	// returns user id from the cookie user credentials
	$email = $_COOKIE["gravity_email"];
	$user = new gravity_users();
	$user = $user -> GetList(array(array("email", "=", $email)));
	if($user) {
		return $user[0]->gravity_usersId;
	}
	else {
		return false;
	}
}

function project_has_active_items($project) {
	// receive a project array, and return an array that has only active items.
	$c = 0;
	foreach($project as $v) {
		$actions = new gravity_actions();
		$actions = $actions -> GetList(array(array("parent_id", "=", $v->gravity_projectsId),
										array("status", "=", "Incomplete")));
		if(count($actions) > 0) {
			$projects[$c] = $v;
			$c++;
		}
	}
	if(isset($projects)) {
		return $projects;
	}
	else {
		return false;
	}
}

function project_is_unlisted($project) {
	$c=0;
	foreach($project as $v) {
		if($v->list_order != 0) {
			$return[$c] = $v;
			$c++;
		}
	}
	if($return){
		return $return;
	}
	else {
		return false;
	}
}

function remove_unlisted_actions($items) {
	$c=0;
	foreach($items as $v) {
		$project = new gravity_projects();
		$project -> Get($v->parent_id);
		if($project->list_order > 0) {
			$return[$c] = $v;
			$c++;
		}
	}
	if(isset($return)) {
		return $return;
	}
	else {
		return null;
	}
}

function context_has_active_items($context) {
	// receive a context array, and return an array that has active items.
	$c = 0;
	foreach($context as $v) {
		$actions = new gravity_actions();
		$actions = $actions -> GetList(array(array("context", "=", $v->gravity_contextsId),
										array("status", "=", "Incomplete")));
		if(!empty($actions)) {
			$contexts[$c] = $v;
			$c++;
		}
	}
	if(isset($contexts)) {
		return $contexts;
	}
	else {
		return null;
	}
}

function row_start($counter) {
	// take the counter and figure out if it's a 1, 4, 7, 11...return true if so
	if(($counter - 1) % 3 == 0) {
		return true;
	}
}

function row_end($counter) {
	// take the counter and figure out if it's a 3, 6, 9, 12...return true if so
	if($counter % 3 == 0) {
		return true;
	}
}

function Return_File_Formats() {
	// get the list of file formats and send it back
	$formats = new gravity_formats();
	$formats = $formats -> GetList(array(array("gravity_formatsId", ">", 0)));
	if(!empty($formats)) {
		return $formats;
	}
}

function gimme_icon_url($format) {
	// returns the url of the format icon
	$icon = new gravity_formats();
	$icon -> Get($format);
	return $icon->icon_url;
}

function return_project_name($id) {
	// returns text name of project with the id given
	$name = new gravity_projects();
	$name -> Get($id);
	return $name->name;
}


function return_context_name($id) {
	// returns context name with id given
	$name = new gravity_contexts();
	$name -> Get($id);
	return $name->name;
}

function return_time_selector($recur_date) {
	?>
	<select name="hour">
		<?php
		if($recur_date > 0) {
			if(date("H", $recur_date) > 0) {
				// use php date() here because it's working with a system-generated
				// (i.e. already timezone-adjusted) timestamp
				?>
				<option value="<?php echo date("H", $recur_date)?>"><?php echo date("H", $recur_date)?></option>
				<?php
			}
			else {
				?>
				<option selected>Hour</option>
				<?php
			}
		}
		
	for($i=0; $i<24; $i++) {
		if($i < 10) {
			$i = "0".$i;
		}
		?>
		<option value="<?php echo $i?>"><?php echo $i?></option>
		<?php
	}
	?>
	</select>
	
	<select name="minute">
		<?php
		if($recur_date > 0) {
			$minutes = date("i", $recur_date);
				// use php date() here because it's working with a system-generated
				// (i.e. already timezone-adjusted) timestamp
			if($minutes != 0 || 15 || 30 || 45) {
				if($minutes < 15) {
					$minutes = 15;
				}
				elseif($minutes > 14 && $minutes < 30) {
					$minutes = 30;
				}
				elseif($minutes > 29 && $minutes < 45) {
					$minutes = 45;
				}
				else {
					$minutes = 0;
				}
			}
			?>
			<option value="<?php echo $minutes?>"><?php echo $minutes?></option>
				<?php
		}
		else {
			?>
			<option selected>Minute</option>
			<?php
		}
	for($i=00; $i<60; $i=$i+15) {
		if($i < 10) {
			$i = "0".$i;
		}
		?>
		<option value="<?php echo $i?>"><?php echo $i?></option>
		<?php
	}
	?>
	</select>
	<?php
	
}

function recur_check($action, $field) {
	// return $field name with a value of checked or unchecked
	$fieldstatus = "blank";
	if(isset($action->recur_type)) {
		if($action->recur_type == $field) {
			$fieldstatus = "checked";
		}
		else {
			$fieldstatus = "unchecked";
		}
	}
	else {
		$fieldstatus = "unchecked";
	}
	return $fieldstatus;
}

function return_days_of_week($selected) {	
	?>
	<select name="day_of_week">
	<?php
	$days = array("Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday");
	foreach($days as $d) {
		if($d == $selected) {
			$sel = " selected";
		}
		else {
			$sel = "";
		}
		?>
		<option value="<?php echo $d?>"<?php echo $sel?>><?php echo $d?></option>
		<?php
	}
	?>
	</select>
	<?php
}

function return_days_of_month($selected) {
	?>
	<select name="day_of_month">
		<?php
		for($i=1; $i<=28; $i++) {
			if($i == $selected) {
				$sel = " selected";
			}
			else {
				$sel = "";
			}
			?>
			<option value="<?php echo $i?>"<?php echo $sel?>><?php echo $i?></option>
			<?php
		}
		?>
	</select>
	<?php	
}

function return_which_weekday($selected) {
	$this_day_of_month = tz_date("j", $selected);
	$this_day_of_week = tz_date("w", $selected);
	$this_3_day_of_week = tz_date("D", $selected);
	
	for($i=1; $i<=4; $i++) {
		$day = new Recurrences();
		$day -> which_weekday = $i;
		$day -> num_day_of_week = $this_day_of_week;
		$day = $day -> call_nth_day();
		if($day == $this_day_of_month) {
			$sel_weekday = $i;
		}
	}
	$weekdays = array("1"=>"1st", "2"=>"2nd", "3"=>"3rd", "4"=>"4th");
	$daysofweek = array("00"=>"Sun", "01"=>"Mon", "02"=>"Tue", "03"=>"Wed", "04"=>"Thu", "05"=>"Fri", "06"=>"Sat");
	?>
	<select name="which_weekday">
	<?php
	foreach($weekdays as $k=>$v) {
		if($k == $sel_weekday) {
			$sel = " selected";
		}
		else {
			$sel = "";
		}
		?>
		<option value="<?php echo $k?>"<?php echo $sel?>><?php echo $v?></option>
		<?php
	}
	?>
	</select> 
	<select name="num_day_of_week">
	<?php
	foreach($daysofweek as $k=>$v) {
		if($v == $this_3_day_of_week) {
			$sel = " selected";
		}
		else {
			$sel = "";
		}
		?>
		<option value="<?php echo $v?>"<?php echo $sel?>><?php echo $v?></option>
		<?php
	}
	?>
	</select>
	<?php
}

function return_months_of_year($selected) {
	$months = array("01"=>"Jan", 
					"02"=>"Feb",
					"03"=>"Mar",
					"04"=>"Apr",
					"05"=>"May",
					"06"=>"Jun",
					"07"=>"Jul",
					"08"=>"Aug",
					"09"=>"Sep",
					"10"=>"Oct",
					"11"=>"Nov",
					"12"=>"Dec");
	?>
	<select name="month">
	<?php
	foreach($months as $k=>$v){
		if($v==$selected) {
			$sel = " selected";
		}
		else {
			$sel = "";
		}
		?>
		<option value="<?php echo $k?>"<?php echo $sel?>><?php echo $v?></option>
		<?php
	}
	?>
	</select>
	<?php
}


function aaron_printr($array) {
	?>
	<pre>
	<?php
	print_r($array);
	?>
	</pre>
	<?php
}

function mini_html_header($title) {
	?>
	<html>
	<head>
		<title><?php echo $title?></title>
		<link rel="stylesheet" href="<?php echo $GLOBALS["root"]?>images/<?php echo $GLOBALS["theme"]?>/theme.css" type="text/css" />
		<script type="text/javascript" src="<?php echo $GLOBALS["root"]?>library/js/fns.js"></script>
	</head>
	<body bgcolor="#CCCCCC">
	<?php		
}

function mini_html_footer() {
	?>
	</body></html>
	<?php
}

function add_item_form($show_project=0, $show_context=0, $return_page="main.php") {
	?>
	
	<form action="../controllers/new_todo.php" method="post" name="todo_form">
		<input type="hidden" name="return_page" value="<?php echo $return_page?>">
		<input id="todo" class="todo" name="todo"><br id="norm" />
		
		<?php
		if($show_project == 0) {
			?>
			<select class="options" name="project">
			<?php
		// show the default, if it's set
		if(isset($_SESSION["project_default"])) {
			$name = return_project_name($_SESSION["project_default"]);
			?>
			<option id="<?php echo  $name?>" value="<?php echo  $_SESSION["project_default"]?>"><?php echo  $name?></option>
			<option>-----</option>
			<?php
		}
		else {
			?>
			<option selected>Choose Project</option>
			<?php
		}

		$projects = Return_Projects();
		foreach($projects as $v) {
			?>
			<option id="<?php echo $v->name?>" value="<?php echo $v->gravity_projectsId?>"><?php echo $v->name?></option>
			<?php
		}
		?>
		</select><p class="arrow_link_dropdowns"><a href="manage_projects.php"><img src="<?php echo $GLOBALS["root"]?>images/<?php echo $GLOBALS["theme"]?>/edit_button.png" border="0"></a></p>
		<?php
		}
		else {
			?>
			<input type="hidden" name="project" value="<?php echo $show_project?>">
			<?php
		}
		?>
		<?php
		if($show_context == 0) {
			?>
			<select class="options" name="context">
			<?php
		// show the default, if it's set
		if(isset($_SESSION["context_default"])) {
			$name = return_context_name($_SESSION["context_default"]);
			?>
			<option id="<?php echo  $name?>" value="<?php echo  $_SESSION["context_default"]?>"><?php echo  $name?></option>
			<option>-----</option>
			<?php
		}
		else {
			?>
			<option selected>Choose Context</option>
			<?php
		}

		$contexts = Return_Contexts();
		foreach($contexts as $v) {
			?>
			<option id="<?php echo $v->name?>" value="<?php echo $v->gravity_contextsId?>"><?php echo $v->name?></option>
			<?php
		}
		?>
		</select><p class="arrow_link_dropdowns"><a href="manage_projects.php"><img src="<?php echo $GLOBALS["root"]?>images/<?php echo $GLOBALS["theme"]?>/edit_button.png" border="0"></a></p>
		<?php
		}
		else {
			?>
			<input type="hidden" name="context" value="<?php echo $show_context?>">
			<?php
		}
		?>
		<p class="arrow_link_dropdowns">
		<input type="image" src="<?php echo $GLOBALS["root"]?>images/<?php echo $GLOBALS["theme"]?>/go_button.png"></p>
		
	<?php
}

function  tz_date($spec, $time) {

	$return_time = $time + $GLOBALS["timezone"] * 3600;
	return date($spec, $return_time);
}

function show_hide_project($projectId) {
	// get current status of the project
	$project = new gravity_projects();
	$project -> Get($projectId);
	$status = $project->list_order;
	
	// if status = 0, project is unlisted
	if($status == 0) {
		// display option to show this project
		?>
		<a href="../controllers/show_hide_project.php?action=show&id=<?php echo $projectId?>">Display This Project In Dashboard</a>
		<?php
	}
	else {
		// offer to hid this project
		?>
		<a href="../controllers/show_hide_project.php?action=hide&id=<?php echo $projectId?>">Hide This Project In Dashboard</a>
		<?php
	}
}

function update_recurring_items() {
	// for each action, check for a recurrence.
	// if found, ensure it's updated to the next recurring time
	
	$actions = new gravity_actions();
	$actions = $actions -> GetList(array(array("gravity_actionsId", ">", 0)));
	foreach($actions as $v) {
		if($v->recur_type != "no_recur") {
			switch($v->recur_type) {
				case "weekly":
					$recur = new Recurrences();
					$recur -> input_date = $v->recur_date;
					$recur -> day_of_week = $v->day_of_week;
					$recur_date = $recur -> Recur_Weekly();
					$update = new gravity_actions();
					$update -> Get($v->gravity_actionsId);
					$update -> recur_date = $recur_date;
					$update -> Save();
					break;
				case "n_weekly":
					$recur = new Recurrences();
					$recur -> input_date = $v->recur_date;
					$recur -> num_weeks = $v->n_week;
					$recur_date = $recur -> Recur_n_Weekly();
					$update = new gravity_actions();
					$update -> Get($v->gravity_actionsId);
					$update -> recur_date = $recur_date;
					$update -> Save();
					break;
				case "monthly":
					$recur = new Recurrences();
					$recur -> input_date = $v->recur_date;
					$recur -> day_of_month = $v->day_of_month;
					$recur_date = $recur -> Recur_Day_Monthly();
					$update = new gravity_actions();
					$update -> Get($v->gravity_actionsId);
					$update -> recur_date = $recur_date;
					$update -> Save();
					break;
				case "nth_day_of_month":
					$recur = new Recurrences();
					$recur -> input_date = $v->recur_date;
					$recur -> which_weekday = $v->which_weekday;
					$recur -> day_of_week = $v->num_day_of_week;
					$recur_date = $recur -> Recur_Weekday_Monthly();
					$update = new gravity_actions();
					$update -> Get($v->gravity_actionsId);
					$update -> recur_date = $recur_date;
					$update -> Save();
					break;
				case "annually":
					$recur = new Recurrences();
					$recur -> input_date = $v->recur_date;
					$recur -> day_of_month = $v->day_of_month;
					$recur_date = $recur -> Recur_Annually();
					$update = new gravity_actions();
					$update -> Get($v->gravity_actionsId);
					$update -> recur_date = $recur_date;
					$update -> Save();
					break;
			}
		}
	}
	
	
	
}
?>