<?php
include("../includes.php");

// Get the item
$action = new gravity_actions();
$action -> Get($_GET["id"]);

// Crank up the template...
$template = new template();
$template -> left_menu_header = "";
$template -> main_header = "";
$template -> novalidate = "not indeed";

$template -> title = "Gravity";
$template -> Render_Header();
$template -> Render_Left();

// begin left column for action details
?>
<div id="actiondetails"> <!-- container for left column to prevent getting bottom cut off-->
<h2>Edit This Action</h2>
<form action="../controllers/update_action.php" method="post">
	<p class="whitehead">Name</p><br id="norm" />
	&nbsp;&nbsp;<input type="text" name="name" size="24" value="<?php echo $action->name?>"><br id="norm" />
	<p class="whitehead">Context</p><br id="norm" />
	<select class="options" name="context">
		<!-- return_context_name() gets the name of the context using the id given-->
		<option value="<?php echo $action->context?>" selected><?php echo return_context_name($action->context)?></option>
	<?php
	// spit out the rest of the popup menu of contexts available
	$contexts = Return_Contexts();
	foreach($contexts as $v) {
		?>
		<option id="<?php echo $v->name?>" value="<?php echo $v->gravity_contextsId?>"><?php echo $v->name?></option>
		<?php
	}
	?>
	</select>
	<br id="norm" />
	<p class="whitehead">Project</p><br id="norm" />
	<select class="options" name="project">
		<!-- truncate project name so the menu doesn't run beyond column width-->
		<option value="<?php echo $action->parent_id?>" selected><?php echo substr(return_project_name($action->parent_id), 0, 20)?></option>
	<?php
	// spit out the rest of the projects for all projects list; also truncate for length
	$projects = Return_Projects();
	foreach($projects as $v) {
		$stringLength = 20;
		?>
		<option id="<?php echo $v->name?>" value="<?php echo $v->gravity_projectsId?>"><?php echo substr($v->name, 0, $stringLength)?>
		<?php
		if(strlen($v->name) > $stringLength) {
			echo "...";
		}
		?>
		</option>
		<?php
	}
	?>
	</select>

<!-- DUE DATE SECTION -->

	<p class="whitehead">Due Date</p><br id="norm" />
	<div class="whitecopy"> <!-- text formatting div only -->
		<?php
		// ensure that we put a checkmark to the right date option
		if($action->recur_date > 0) {
			$nodate = "unchecked";
			$date = "checked";
		}
		else {
			$nodate = "checked";
			$date = "unchecked";
		}
		?>
	<input type="radio" name="usedate" value="no" <?php echo $nodate?>> Don't Set Date<br id="norm" />
	<input type="radio" name="usedate" value="yes" <?php echo $date?>> Deadline Me...<br id="norm" />
	<?php
	// determine whether we're using an already-set recur_date as the basis of the date calc
	// or if not set, we use time(), now
	if($action->recur_date > 0) {
		$input_date = $action->recur_date;
		$date_shown = date("Ymd", $action->recur_date);
		// use php date() here because it's working with a system-generated
		// (i.e. already timezone-adjusted) timestamp
	}
	else {
		$input_date = time();
		$date_shown = tz_date("Ymd", time());
		// use my tz_date() here because we're pulling a server-generated timestamp
	}
	?>
	<!-- this is Jason Moon's date selector. Funky!-->
	<script>DateInput('recur_date', 'false', 'YYYYMMDD', '<?php echo $date_shown?>')</script>
	<?php 
	// Moon's script doesn't deal with time of day, so I'm adding it here.
	// this function also deals with the recur_date vs. now option, as above.
	echo return_time_selector($input_date)?>
	</div> <!-- end whitecopy for text formatting-->
	
<!-- RECURRENCE SECTION -->

	<p class="whitehead">Recurrence</p><br id="norm" />
	<div class="whitecopy"> <!-- whitecopy for text formatting only-->
		<?php
		// show whether we're dealing with a recurring item or not; place checkbox accordingly
		$no_recur = recur_check($action, "no_recur");
		?>
	<input type="radio" name="recur" value="no" <?php echo $no_recur?>>No Recurrence<br id="norm" />
	<?php
	// recur_check determines whether the given option is being used for recurrence
	// return checked or unchecked values depending...
	$n_weekly = recur_check($action, "n_weekly");
	?>
<input type="radio" name="recur" value="n_weekly" <?php echo $n_weekly?>>Every
<select name="num_week">
	<?php
	// simply providing a popup for 2, 3, or 4 week options here.
	for($i=2; $i<=4; $i++) {
		if(isset($action->n_week)) {
			if($action->n_week==$i) {
			?>
			<option selected value="<?php echo $action->n_week?>"><?php echo $action->n_week?></option>
	<?php
			}
			else {
				?>
				<option value="<?php echo $i?>"><?php echo $i?></option>
				<?php
			}
		}
	}
	?>
</select> weeks<br id="norm" />
	
	<?php
	// recur_check determines whether the given option is being used for recurrence
	// return checked or unchecked values depending...
		$weekly = recur_check($action, "weekly");
	?>
	<input type="radio" name="recur" value="weekly" <?php echo $weekly?>>Every 
	<?php 
	// function returns a popup of days of week with today/recur_date as selected day
	echo return_days_of_week(date("l", $input_date))?>
	<br id="norm" />
	<?php
	// recur_check determines whether the given option is being used for recurrence
	// return checked or unchecked values depending...
		$monthly = recur_check($action, "monthly");
	?>
	<input type="radio" name="recur" value="monthly" <?php echo $monthly?>>Every 
		<?php 
		// function returns a popup of 1-27 days, with today/recur_date day selected
		echo return_days_of_month(date("j", $input_date))?> of the month<br id="norm" />
		<?php
		// function returns 1-4th week of month for a given day, based on today/recur_date
			$nth_day_of_month = recur_check($action, "nth_day_of_month");
		?>
	<input type="radio" name="recur" value="nth_day_of_month" <?php echo $nth_day_of_month?>>Every
	<?php echo return_which_weekday($input_date)?><br id="norm" />
	<?php
	// recur_check determines whether the given option is being used for recurrence
	// return checked or unchecked values depending...
		$annually = recur_check($action, "annually");
	?>
	<input type="radio" name="recur" value="annually" <?php echo $annually?>>Every
	<?php 
	// function returns the days of month based on today/recur_date
	echo return_days_of_month(date("j", $input_date))?> of 
	<?php 
	// function returns the months of year based on today/recur_date
	echo return_months_of_year(date("M", $input_date))?>
	</div>
	<br /><br />
	<input type="hidden" name="actionid" value="<?php echo $action->gravity_actionsId?>">
	<p class="whitehead"><input type="image" src="<?php echo $GLOBALS["root"]?>images/<?php echo $GLOBALS["theme"]?>/update_button.png"></p>
	</form>
	<br />
</div> <!-- end action_details div tag-->
<?php
// END LEFT COLUMNN CONTENT

// BEGIN MAIN PAGE CONTENT
$template -> Render_Main();

?>
<h1><?php 
// $action is the variable that contains this action's data; set at top of page here
echo $action->name?></h1>

<!-- top page breadcrumbs-->
<p class="navigator">
	<a href="main.php">Dashboard</a> > <a href="main_project.php?id=<?php echo $action->parent_id?>"><?php echo return_project_name($action->parent_id)?></a>
</p>
<!-- END top page breadcrumbs-->

<!-- begin Notes form div-->
<p class="project_page_header">Notes<div class="addsign"><img src="../images/<?php echo $GLOBALS["theme"]?>/add_button.png" onclick="javascript: Effect.SlideUpAndDown(document.getElementById('makenote'))" align="right"></div></p>
<br id="norm" /><br id="norm" />
<div class="demo">
      <div class="example" id="makenote"><div class="example" id="demo-all" style="float: none; height:230px;">
          <p id="subhead">Add New Note</p>
			  <form method="post" action="../controllers/add_note.php">
			    <p>
				Note Title<br id="norm" />
				<input name="name" type="text">
				<P>
			     Note - <a href="javascript:void(true)" onClick="window.open('markdown.html','','width=350,height=400,resizable=yes,scrollbars=yes')">Markdown Cheatsheet</a><br id="norm" />
				<textarea name="note" cols="45" rows="6" id="note" wrap=soft></textarea>
			    </p>
			    <p>
			    <input type="hidden" name="actionid" value="<?php echo $action->gravity_actionsId?>">
			  	<input type="hidden" name="return" value="main_item">
				<input type="submit" name="Submit" value="Create" />
			</p>
			  </form>
      </div>
</div>
</div>
<!-- begin Notes listing div-->
<?php
$notes = Return_Action_Notes($action->gravity_actionsId);
if(!empty($notes)) {
	$counter = 0;
	foreach($notes as $v) {
		$counter++;
			if(row_start($counter)) {
				echo "<table id=\"asset_item_list\"><tr>";
			}
		?>
		<td><a href="javascript:void(true)" onClick=window.open('view_note.php?id=<?php echo $v->gravity_notesId?>&from=main_item.php','','height=350,width=450,scrollbars=no,resizable=yes')><img src="../images/<?php echo $GLOBALS["theme"]?>/text_icon.png" border=\"0\" /></a><br id="norm" />
			<a href="javascript:void(true)" onClick=window.open('view_note.php?id=<?php echo $v->gravity_notesId?>&from=main_item.php','','height=350,width=450,scrollbars=no,resizable=yes')><?php echo $v->name?></a><br id="norm" />
			<?php echo tz_date("F jS, Y", $v->updated_date)?>
		</td>
	<?php
	if(row_end($counter)) {
				echo "</tr></table>";
			}
	}
	if(!row_end(count($notes))) {
		// if there weren't enough columns to close the table, we'll do it here.
		echo "<td></td></tr></table>";
	}
	?>
	</table>
	<!-- end Notes section div-->
	<?php
}
?>
<!-- begin Files form div-->
<br id="norm" />
<p class="project_page_header">Files<div class="addsign"><img src="../images/<?php echo $GLOBALS["theme"]?>/add_button.png" onclick="javascript: Effect.SlideUpAndDown(document.getElementById('makefile'))" align="right"></div></p>
<br id="norm" /><br id="norm" />

<div class="demo">
      <div class="example" id="makefile"><div class="example" id="demo-all" style="float: none; height:160px;">
	<p id="subhead">Add New File</p>
	  <form enctype="multipart/form-data" method="post" action="../controllers/add_file.php">
		<input type="hidden" name="MAX_FILE_SIZE" value="100000000" />
	    <p>
		Name: <input name="name" type="text">
		<P>
		<?php $formats = Return_File_Formats();?>
		Choose Format: <select name="format">
			<option selected>Choose Format...</option>
		<?php
		foreach($formats as $v) {
			?>
			<option value="<?php echo $v->gravity_formatsId?>"><?php echo $v->name?></option>
			<?php
		}?>
		</select>
		<p>
	    Choose File: <input type="file" name="url">
	    </p>
	    <p>
	    <input type="hidden" name="itemid" value="<?php echo $action->gravity_actionsId?>">
	  	<input type="hidden" name="return" value="main_item">
		<input type="submit" name="Submit" value="Add File" />
	</p>
	  </form>
</div>
</div>
</div>
<!-- begin Files listing div-->	
<?php				
$files = Return_Action_Files($action->gravity_actionsId);
if(!empty($files)) {
	$counter = 0;
	foreach($files as $v) {
		$counter++;
			if(row_start($counter)) {
				echo "<table id=\"asset_item_list\"><tr>";
			}
			?>
		<td><a href="<?php echo $v->url?>"><img src="../<?php echo gimme_icon_url($v->format)?>" border=\"0\" /></a><br id="norm" />
			<a href="<?php echo $v->url?>"><?php echo $v->name?></a><br id="norm" />
			<?php echo tz_date("F jS, Y", $v->updated_date)?>
			<br id="norm" />
			<a href="../controllers/delete_file.php?id=<?php echo $v->gravity_filesId?>&return=item&returnid=<?php echo $_REQUEST["id"]?>">[Delete]</a>
		</td>
	<?php
	if(row_end($counter)) {
				echo "</tr></table>";
			}
	}
	if(!row_end(count($files))) {
		// if there weren't enough columns to close the table, we'll do it here.
		echo "<td></td></tr></table>";
	}
	?>
	</table>
	<!-- end files listing div-->
	<?php
}
?>
<!-- begin URLs form div-->
<br id="norm" />
<p class="project_page_header">URLs<div class="addsign"><img src="../images/<?php echo $GLOBALS["theme"]?>/add_button.png" onclick="javascript: Effect.SlideUpAndDown(document.getElementById('makeurl'))" align="right"></div></p>
<br id="norm" /><br id="norm" />

<div class="demo">
      <div class="example" id="makeurl"><div class="example" id="demo-all" style="float: none;">
	<p id="subhead">Add New URL</p>
	  <form method="post" action="../controllers/add_url.php">
	    <p>
		Name: <input name="name" type="text" size="35">
		<P>
	    URL: <input name="url" type="text" size="35">
	    </p>
	    <p>
	    <input type="hidden" name="itemid" value="<?php echo $action->gravity_actionsId?>">
	  	<input type="hidden" name="return" value="main_item">
		<input type="submit" name="Submit" value="Create" />
	</p>
	  </form>
</div>
</div>
</div>
<!-- begin URLs listing div-->
<?php
$urls = Return_Action_URLs($action->gravity_actionsId);
if(!empty($urls)) {
	$counter = 0;
	foreach($urls as $v) {
		$counter++;
			if(row_start($counter)) {
				echo "<table id=\"asset_item_list\"><tr>";
			}
			?>
		<td>
			<a href="<?php echo $v->url?>" target="_blank" border="0"><img src="../images/filetypes/web_icon.png" border=\"0\" /></a>
			<br id="norm" />
			<a href="<?php echo $v->url?>" target="_blank" border="0"><?php echo $v->name?></a><br id="norm" />
			<?php echo tz_date("F jS, Y", $v->updated_date)?>
				<br id="norm" />
				<a href="../controllers/delete_url.php?id=<?php echo $v->gravity_urlsId?>&return=item&returnid=<?php echo $_REQUEST["id"]?>">[Delete]</a>
		</td>
	<?php
	if(row_end($counter)) {
				echo "</tr></table>";
			}
	}
	if(!row_end(count($urls))) {
		// if there weren't enough columns to close the table, we'll do it here.
		echo "<td></td></tr></table>";
	}
	?>
	</table>
	<!-- end URLs section div-->
	<?php
}
?>
<!-- begin Images form div-->
<br id="norm" />
<p class="project_page_header">Images<div class="addsign"><img src="../images/<?php echo $GLOBALS["theme"]?>/add_button.png" onclick="javascript: Effect.SlideUpAndDown(document.getElementById('makeimage'))" align="right"></div></p>
<br id="norm" /><br id="norm" />

<div class="demo">
      <div class="example" id="makeimage"><div class="example" id="demo-all" style="float: none;">
	<p id="subhead">Add New Image</p>
	  <form enctype="multipart/form-data" method="post" action="../controllers/add_image.php">
		<input type="hidden" name="MAX_FILE_SIZE" value="100000000" />
	    <p>
		Name: <input name="name" type="text">
		<p>
	    Choose File: <input type="file" name="url">
	    </p>
	    <p>
	    <input type="hidden" name="itemid" value="<?php echo $action->gravity_actionsId?>">
	  	<input type="hidden" name="return" value="main_item">
		<input type="submit" name="Submit" value="Add Image" />
	</p>
	  </form>
</div>
</div>
</div>
<br id="norm"/>
<!-- begin Images listing div-->
<?php
$images = Return_Action_Images($action->gravity_actionsId);
if(!empty($images)) {
	$counter = 0;
	foreach($images as $v) {
		$counter++;
			if(row_start($counter)) {
				echo "<table id=\"asset_item_list\"><tr>";
			}
			?>
		<td><a href="<?php echo $v->url?>" target="_blank"><img src="<?php echo $v->url?>" width='150' border=\"0\"/></a><br id="norm" />
			<a href="<?php echo $v->url?>" target="_blank"><?php echo $v->name?></a><br id="norm" />
			<?php echo tz_date("F jS, Y", $v->updated_date)?>
				<br id="norm" />
				<a href="../controllers/delete_image.php?id=<?php echo $v->gravity_imagesId?>&return=item&returnid=<?php echo $_REQUEST["id"]?>">[Delete]</a>
		</td>
	<?php
	if(row_end($counter)) {
				echo "</tr></table>";
			}
	}
	if(!row_end(count($urls))) {
		// if there weren't enough columns to close the table, we'll do it here.
		echo "<td></td></tr></table>";
	}
	?>
	</table>
	<!-- end Images section div-->
	<?php
}



$template -> Render_Footer();
?>